Subject: Re: [PATCH] revision: remove definition of unused 'add_object' function

From: Jeff King <[email-masked]>
Date: Sat, 18 Oct 2014 21:36:46 -0400

On Sat, Oct 18, 2014 at 10:36:12PM +0100, Ramsay Jones wrote:

> I noticed that your 'jk/prune-mtime' branch removes the last caller
> of the add_object() function; specifically commit 5f78a431a
> ("reachable: use traverse_commit_list instead of custom walk", 15-10-2014).

Thanks. I usually rely on the compiler to catch any static instances
that I missed, but of course this one is extern. Did you use an
automated tool for this (I know you often catch "X has no declaration;
should it be static?" with clang, but does clang catch this, too?).

> If you need to re-roll those patches, could you please squash this
> patch into the above commit. (unless you have plans to add some new
> callers, of course! ;-) ).

Nope, I just didn't notice that I dropped the last caller. I don't think
we need another re-roll (fingers crossed), but I'd be happy to have this
on top.

-Peff